## pearl-info-rapturo 2018.09.04

=== debian/changelog ===
pearl-info-rapturo (2018.09.04) rapturo; urgency=medium

  * Turn packages into All packages


 -- Scott Vandergrift <scottvandergrift@gmail.com>  Thu, 08 Mar 2018 12:42:01 +0000
